/************************************************************************
 *
 * AJList.java -
 *
 * $Id: AJList.java,v 1.1.1.1 2006-06-30 23:38:03 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
import java.lang.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;
import javax.swing.*;

public class AJList extends JList {

    public Hashtable box;

    public AJList(Hashtable box) {
        super();
        this.box = box;
        addListSelectionListener(new ListSelectionListener() {
                public void valueChanged(ListSelectionEvent e) {
                    JList list = (JList)e.getSource();
                    list.ensureIndexIsVisible(list.getSelectedIndex());
                }
            });
    }

    public AJList() {
        this(new Hashtable());
    }

    public Object put(String key, Object value) {
        return box.put(key, value);
    }

    public Object get(String key) {
        return box.get(key);
    }

    public String getStr(String key) {
        return (String)box.get(key);
    }

    public Hashtable getHash(String key) {
        return (Hashtable)box.get(key);
    }
}
