<tests>
expiration_test1
expiration_test2
expiration_test3
</tests>

<expiration_test1>
<msg>
Expiration -- set
</msg>
<cmd>
$NETDB node expiration --set "01/01/2020" $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 20,23 ****
--- 20,24 ----
                    e-mail: nuts@spacely-sprockets.com
                     phone: (555) 555-5555
+      exp date: 01/01/2020
          group: Cogswell Cogs, Spacely Sprokets
        comment: NetDB test data - do not disturb
</diff>
</expiration_test1>

<expiration_test2>
<msg>
Expiration -- set should fail as we try to set it to something which is not a date
</msg>
<cmd>
$NETDB node expiration --set foo $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 20,23 ****
--- 20,24 ----
                    e-mail: nuts@spacely-sprockets.com
                     phone: (555) 555-5555
+      exp date: 01/01/2020
          group: Cogswell Cogs, Spacely Sprokets
        comment: NetDB test data - do not disturb
</diff>
</expiration_test2>

<expiration_test3>
<msg>
Expiration -- clear
</msg>
<cmd>
$NETDB node expiration --clear $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</expiration_test3>
