<tests>
group_test1
group_test2
group_test3
group_test4
fail_test1
</tests>

<group_test1>
<msg>
Group -- add and remove
</msg>
<cmd>
$NETDB node group --remove "Spacely Sprokets" $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 20,24 ****
                    e-mail: nuts@spacely-sprockets.com
                     phone: (555) 555-5555
!         group: Cogswell Cogs, Spacely Sprokets
        comment: NetDB test data - do not disturb
     updated-by:
--- 20,24 ----
                    e-mail: nuts@spacely-sprockets.com
                     phone: (555) 555-5555
!         group: Cogswell Cogs
        comment: NetDB test data - do not disturb
     updated-by:
</diff>
</group_test1>

<group_test2>
<msg>
Group -- add and remove
</msg>
<cmd>
$NETDB node group --add "Spacely Sprokets" --remove "Cogswell Cogs" $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 20,24 ****
                    e-mail: nuts@spacely-sprockets.com
                     phone: (555) 555-5555
!         group: Cogswell Cogs, Spacely Sprokets
        comment: NetDB test data - do not disturb
     updated-by:
--- 20,24 ----
                    e-mail: nuts@spacely-sprockets.com
                     phone: (555) 555-5555
!         group: Spacely Sprokets
        comment: NetDB test data - do not disturb
     updated-by:
</diff>
</group_test2>

<group_test3>
<msg>
Group -- add and remove
</msg>
<cmd>
$NETDB node group --add "Cogswell Cogs" $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</group_test3>

<group_test4>
<msg>
Group - Delete, should fail, since, node must have atleast one group
</msg>
<cmd>
$NETDB node group --remove "Spacely Sprokets" $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</group_test4>

<fail_test1>
<msg>
Group - Delete, should fail, since group name was not enclosed in quotes
</msg>

<cmd>
$NETDB node group --remove Spacely Sprokets $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</fail_test1>
