-- NetDB_DHCPservice.sql --- NetDB_DHCPservice package spec.

create or replace package NetDB_DHCPservice as

    function list           return NetDB.ref_cursor;
    function list_pipelined return result_set pipelined;

    procedure del ( p_op_uid     in int,
                    p_service_id in int );

    function ins ( p_op_uid in int,
                   p_label  in varchar,
                   p_desc   in varchar := null ) return NetDB.ref_cursor;

    procedure upd ( p_op_uid     in int,
                    p_service_id in int,
                    p_label_new  in varchar,
                    p_desc       in varchar := null );


    function verify_or_die ( p_service_id in int     := null,
                             p_label      in varchar := null ) return int;

    function handle (p_service_id in int) return varchar;

end NetDB_DHCPservice;
/

grant execute on NetDB_DHCPservice to netdb_execute;
