-- NetDB_MXrecord.sql --- NetDB_MXrecord package spec .

create or replace package NetDB_MXrecord as

    procedure del ( p_op_uid         in int,
                    p_lock           in timestamp,
                    p_sent_to_id     in int     := null,
                    p_sent_to        in varchar := null,
                    p_received_by_id in int     := null,
                    p_received_by    in varchar := null );

    procedure ins ( p_op_uid         in int,
                    p_lock           in timestamp,
                    p_sent_to_id     in int     := null,
                    p_sent_to        in varchar := null,
                    p_received_by_id in int     := null,
                    p_received_by    in varchar := null,
                    pref             in int );

    procedure upd ( p_op_uid         in int,
                    p_lock           in timestamp,
                    p_sent_to_id     in int     := null,
                    p_sent_to        in varchar := null,
                    p_received_by_id in int     := null,
                    p_received_by    in varchar := null,
                    p_new_pref       in int );

end NetDB_MXrecord;
/

grant execute on NetDB_MXrecord to netdb_execute;
