-- NetDB_NodeType.sql --- contains functions related to node types

create or replace package NetDB_NodeType as

    function list (p_user_id in int := null) return NetDB.ref_cursor;
    function exists (p_type in varchar) return boolean;
    function verify_or_die (p_type in varchar) return varchar;

end NetDB_NodeType;
/

grant execute on NetDB_NodeType to netdb_execute;
