-- DHCPservice.sql --- DHCP service

create table DHCPservice
(
    id            int           PRIMARY KEY,
    label         varchar(32)   NOT NULL,
    modified_by   int           NOT NULL references Person,
    modified      timestamp(3)  NOT NULL,
    description   varchar(64)
);

create sequence dhcpservice_id_seq nocache;

create unique index DHCPservice_lower_label_idx on DHCPservice(lower(label));

grant select on DHCPservice to netdb_select;

