-- Network.sql --- collections of address spaces

create table Network
(
    id            int            PRIMARY KEY,
    DHCPservice   int                     references DHCPservice,
    created_by    int            NOT NULL references Person,
    modified_by   int            NOT NULL references Person,
    created       timestamp(3)   NOT NULL,
    modified      timestamp(3)   NOT NULL,
    comments      varchar(256),
    locked_by     int,
    locked        timestamp(3)
);

create sequence network_id_seq nocache;

grant select on Network to netdb_select;

