-- Node_Owner.sql --- node ownership

create table Node_Owner
(
    node  int NOT NULL references Node on delete cascade,
    owner int NOT NULL references Owner,
    PRIMARY KEY (node, owner)
);

create index node_owner_node_idx  on Node_Owner (node);
create index node_owner_owner_idx on Node_Owner (owner);

grant select on Node_Owner to netdb_select;

