-- log_action.sql --- Transaction, temporary table used for saving the logging action.
--                    When the user does something, we save the action for logging after the
--                    action is completed. Sometimes what the user perceives as one action, is
--                    actually many.

create global temporary table log_action (action varchar(6)) on commit delete rows;

grant select on log_action to netdb_select;
