-- IPaddressSpace_b_d_r.sql --- IPaddressSpace table before delete trigger

create or replace trigger IPaddressSpace_b_d_r
  before delete on IPaddressSpace
  for each row
begin
    -- save deleted address space info
    insert into deleted_as (     network,      prefix_txt,      address,      broadcast)
                    values (:OLD.network, :OLD.prefix_txt, :OLD.address, :OLD.broadcast);
end;
/

