-- NodeType_a_u_r.sql --- NodeType table after update trigger

create or replace trigger NodeType_a_u_r
  after update of type on NodeType
  for each row when (NEW.type != OLD.type)
begin
    -- cascade update the new type to the Node_NodeType table
    update Node_NodeType set type=:NEW.type where type=:OLD.type;
end;
/

