-- OS_a_u_r.sql --- OS table after update trigger

create or replace trigger OS_a_u_r
  after update of os on OS
  for each row when (NEW.os != OLD.os)
begin
    -- cascade update the new os to the Node_OS table
    update Node_OS set os=:NEW.os where os=:OLD.os;
end;
/

