-- Person_b_u_r.sql --- Person table before update trigger

create or replace trigger Person_b_u_r
  before update of id on Person
  for each row
begin
    -- user must not change the value of the id column
    if (:NEW.id != :OLD.id) then
        raise_application_error(NetDB.ex_system_supplies_id, 'ID values are supplied by the system and cannot be changed.');
    end if;
end;
/

