-- FS_NetworkDHCPoptions.sql --- view for network full search

create or replace view FS_NetworkDHCPoptions as
    select Network_DHCPoptions.network id,
           replace(DHCPoption.label, '#', '#hsh') || '#eql' || replace(Network_DHCPoptions.value, '#', '#hsh') dhcp_option
      from Network_DHCPoptions
      join DHCPoption on DHCPoption.id = Network_DHCPoptions.DHCPoption;

grant select on FS_NetworkDHCPoptions to netdb_view;
