-- FS_Related_Owner_Domain.sql - view for related owners full search

create or replace view FS_Related_Owner_Domain as
       select Domain.id id, Domain.domain name, Owner.label owner, 'Domains' type
       from Owner
       join Domain_Owner on Owner.id = Domain_Owner.owner
       join Domain on Domain.id = Domain_Owner.domain
       union all
       select Domain.id id, Domain.domain name, Owner.label owner, 'Domains' type
       from Owner
       join Domain_assignNameIn on Owner.id = Domain_assignNameIn.owner
       join Domain on Domain.id = Domain_assignNameIn.domain
       union all
       select Domain.id id, Domain.domain name, Owner.label owner, 'Domains' type
       from Owner
       join Domain_useAsName on Owner.id = Domain_useAsName.owner
       join Domain on Domain.id = Domain_useAsName.domain;

grant select on FS_Related_Owner_Domain to netdb_view;
