/************************************************************************
 *
 * ModelListCommand.java - db call NetDB_Model.master 'list'
 *
 * $Id: ModelListCommand.java,v 1.2 2008-03-15 02:56:09 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Model.master 'list' */
class ModelListCommand extends DBCall {

    public ModelListCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_MODEL, Function_Map.LIST);
        values = new Object[1];
        values[0] = ref_cursor;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_MODEL, Function_Map.LIST));
    }
}
