/************************************************************************
 *
 * NDBLi.java - NetDB Loggin interface
 *
 * $Id: Logger.java,v 1.1.1.1 2006-06-30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.utils;

import java.lang.*;

/** NetDB Loggin interface */
public interface Logger {
    public void debug        (Object msg);
    public void warn         (Object msg);
    public void error        (Object msg);
    public void info         (Object msg);

    public void set          (String what, Object value);
}
