/************************************************************************
 *
 * IndexServlet.java - analog of index.html
 *
 * $Id: IndexServlet.java,v 1.1.1.1 2006-06-30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.html;

import java.io.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class IndexServlet extends HttpServlet
{
    public IndexServlet() {}

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        if (! request.getRequestURI().equals("/") && ! request.getRequestURI().equals("/index.html"))
        {
            (new stanford.netdb.html.NotFoundServlet()).doGet(request, response);
            return;
        }
        response.setContentType("text/html");

        response.getWriter().println(
            "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n"+
            "<HTML>\n<HEAD>\n"+
            "<META HTTP-EQUIV=\"REFRESH\" CONTENT=\"1;URL=login\">\n"+
            "<META HTTP-EQUIV=\"PRAGMA\" CONTENT=\"NO-CACHE\">\n"+
            "<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=ISO-8859-1\">\n"+
            "<TITLE>NetDB Login</TITLE>\n"+
            "</HEAD>\n\n"+
            "<BODY BGCOLOR='#FFFFFF'>\n"+
            "<TABLE WIDTH='100%' BORDER='0' CELLPADDING='0'>\n"+
            "<TR>\n"+
            "  <TD VALIGN='TOP' WIDTH='17%'><IMG ALT='NetDB Logo' SRC='/images/NetDBlogo.gif' BORDER=0></TD>\n"+
            "  <TD ALIGN='CENTER' VALIGN='MIDDLE'><H2>Logging in to NetDB...</H2></TD>\n"+
            "  <TD WIDTH='17%' ALIGN='RIGHT' VALIGN='MIDDLE'>&nbsp;</TD>\n"+
            "</TR>\n"+
            "<TR>\n"+
            "  <TD COLSPAN='3' WIDTH='100%'><HR NOSHADE SIZE=2></TD>\n"+
            "</TR>\n"+
            "</TABLE>\n\n"+
            "</BODY>\n"+
            "</HTML>\n"
        );
    }
}
