/************************************************************************
 *
 * LoginFailed.java -
 *
 * $Id: LoginFailed.java,v 1.1.1.1 2006-06-30 23:38:11 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2004, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.html;

import java.io.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;
import stanford.netdb.utils.*;

public class LoginFailed extends ModifyPage
{
    public LoginFailed() {}

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        response.setContentType("text/html");

        HttpSession session = request.getSession(false);
        if (session != null)
            session.invalidate();

        response.getWriter().println(
            CommonPage.commonHtmlBegin("Login Failed")+
            "<DIV class='login_failed_page'>\n"+
            "<TABLE WIDTH='100%' BORDER='0' CELLPADDING='0'>\n"+
            "<TR>\n"+
            "  <TD VALIGN='TOP' WIDTH='17%'><IMG ALT='NetDB Logo' SRC='/images/NetDBlogo.gif' BORDER=0></TD>\n"+
            "  <TD ALIGN='CENTER' VALIGN='MIDDLE'><BR><H1>Login Failed</H1><BR><TEXT CLASS='error_msg'>"+
            decode((String)Utils.n2s(request.getParameter("error_msg")))+"</TEXT></TD>\n"+
            "  <TD WIDTH='17%' ALIGN='RIGHT' VALIGN='MIDDLE'></TD>\n"+
            "</TR>\n"+
            "<TR>\n"+
            "  <TD COLSPAN='3' WIDTH='100%'><HR NOSHADE SIZE=2></TD>\n"+
            "</TR>\n"+
            "</TABLE>\n"+
            getCommonBottomLabel()+
            "</DIV>\n"+
            "</BODY>\n"+
            "</HTML>\n"
        );
    }
}
