<tests>
add_test1
del_test1
add_test2
del_test2
mod_test1
mod_test2
fail_test1
</tests>

<add_test1>
<msg>
Interface - Add with hardware address
</msg>

<cmd>
$NETDB node interface --add 1234.1222.abcd $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 11,18 ****
  custom fields: serial number=04281963
     interfaces:
!      1)    name: astro-gw-1.Cogswell-Cogs.COM
          ip-addr: 10.254.20.1
                   191.64.20.1           astro-gw-1-1.Cogswell-Cogs.COM
!      2)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
                   191.64.132.1
--- 11,19 ----
  custom fields: serial number=04281963
     interfaces:
!      1) hw-addr: 1234.1222.abcd  dhcp
!      2)    name: astro-gw-1.Cogswell-Cogs.COM
          ip-addr: 10.254.20.1
                   191.64.20.1           astro-gw-1-1.Cogswell-Cogs.COM
!      3)    name: astro-gw-1.Spacely-Sprockets.COM
          ip-addr: 10.254.132.1
                   191.64.132.1
</diff>
</add_test1>

<add_test2>
<msg>
Interface - Add with IP address
</msg>

<cmd>
$NETDB node interface --add none --ip 191.64.132.7 $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 17,20 ****
--- 17,21 ----
          ip-addr: 10.254.132.1
                   191.64.132.1
+      3) ip-addr: 191.64.132.7
  administrator: Spacely's Nuts
                    e-mail: nuts@spacely-sprockets.com
</diff>
</add_test2>


<del_test1>
<msg>
Interface - Delete using hw address
</msg>

<cmd>
$NETDB node interface --remove 1234.1222.abcd  $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</del_test1>
<del_test2>
<msg>
Interface - Delete using ip address
</msg>

<cmd>
$NETDB node interface --remove 191.64.132.7 $ASTROGWC
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</del_test2>

<mod_test1>
<msg>
Interface - Modify , set dhcp = off and Roam = On  using ip address
</msg>

<cmd>
$NETDB node interface --modify 191.64.20.39 --dhcp=off --roam pc-cogswell.Cogswell-Cogs.COM
</cmd>

<obj>
pc-cogswell.Cogswell-Cogs.COM
</obj>

<diff>
*** pc-cogswell.Cogswell-Cogs.COM.orig
--- pc-cogswell.Cogswell-Cogs.COM
***************
*** 10,14 ****
           room: HG's office
     interfaces:
!      1) hw-addr: ff0f.ee0e.dd0d  dhcp
          ip-addr: 191.64.20.39
  administrator: H G Cogswell
--- 10,14 ----
           room: HG's office
     interfaces:
!      1) hw-addr: ff0f.ee0e.dd0d
          ip-addr: 191.64.20.39
  administrator: H G Cogswell
</diff>
</mod_test1>

<mod_test2>
<msg>
Interface - Modify , set dhcp = on and Roam = off  using ip address
</msg>

<cmd>
$NETDB node interface --modify 191.64.20.39 --dhcp --roam=off pc-cogswell.Cogswell-Cogs.COM
</cmd>

<obj>
pc-cogswell.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</mod_test2>

<fail_test1>
<msg>
Interface - Modify , IP/HW address format is wrong
</msg>

<cmd>
$NETDB node interface --modify 191,64,20,39 --dhcp --roam=off pc-cogswell.Cogswell-Cogs.COM
</cmd>

<obj>
pc-cogswell.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</fail_test1>
