<tests>
model_test1
model_test2
model_test3
</tests>

<model_test1>
<msg>
Model -- set
</msg>

<cmd>
$NETDB node model --set Cisco:any $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
*** mac-spacely.Spacely-Sprockets.COM.orig
--- mac-spacely.Spacely-Sprockets.COM
***************
*** 4,8 ****
           type: Node (Host)
          state: Good
!           cpu: Apple any
         op-sys: MacOS
     department: Gears, Cogs, and Sprockets
--- 4,8 ----
           type: Node (Host)
          state: Good
!           cpu: Cisco any
         op-sys: MacOS
     department: Gears, Cogs, and Sprockets
</diff>
</model_test1>

<model_test2>
<msg>
Model -- should fail as no such make and model exist
</msg>

<cmd>
$NETDB node model --set Cisco:Apple $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
*** mac-spacely.Spacely-Sprockets.COM.orig
--- mac-spacely.Spacely-Sprockets.COM
***************
*** 4,8 ****
           type: Node (Host)
          state: Good
!           cpu: Apple any
         op-sys: MacOS
     department: Gears, Cogs, and Sprockets
--- 4,8 ----
           type: Node (Host)
          state: Good
!           cpu: Cisco any
         op-sys: MacOS
     department: Gears, Cogs, and Sprockets
</diff>
</model_test2>

<model_test3>
<msg>
Model -- set to the original value
</msg>

<cmd>
$NETDB node model --set Apple:any $MACS
</cmd>

<obj>
mac-spacely.Spacely-Sprockets.COM
</obj>

<diff>
</diff>
</model_test3>
