<tests>
mx_test1
mx_test2
mx_test3
mx_test4
mx_test5
</tests>

<mx_test1>
<msg>
Trying to set MX using an existing alias name. should fail.
</msg>
<cmd>
$NETDB node receive_mail_for --add WWW.Spacely-Sprockets.COM astro-gw.Cogswell-Cogs.COM
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</mx_test1>

<mx_test2>
<msg>
Adding an MX to a node name.
</msg>

<cmd>
$NETDB node receive_mail_for --add mac-spacely.Spacely-Sprockets.COM astro-gw.Cogswell-Cogs.COM
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
*** astro-gw.Cogswell-Cogs.COM.orig
--- astro-gw.Cogswell-Cogs.COM
***************
*** 1,4 ****
--- 1,5 ----
  ..
           name: astro-gw.Cogswell-Cogs.COM
+     recv mail for: mac-spacely.Spacely-Sprockets.COM(10)
           name: astro-gw.Spacely-Sprockets.COM
           type: Node (Advanced, Router)
</diff>
</mx_test2>

<mx_test3>
<msg>
Adding same MX to another node name
</msg>

<cmd>
$NETDB node receive_mail_for --add mac-spacely.Spacely-Sprockets.COM:42 pc-cogswell.Cogswell-Cogs.COM
</cmd>

<obj>
pc-cogswell.Cogswell-Cogs.COM
</obj>

<diff>
*** pc-cogswell.Cogswell-Cogs.COM.orig
--- pc-cogswell.Cogswell-Cogs.COM
***************
*** 1,5 ****
  ..
           name: pc-cogswell.Cogswell-Cogs.COM
!     recv mail for: Cogswell-Cogs.COM(10)
           type: Node (Host)
          state: Good
--- 1,5 ----
  ..
           name: pc-cogswell.Cogswell-Cogs.COM
!     recv mail for: Cogswell-Cogs.COM(10), mac-spacely.Spacely-Sprockets.COM(42)
           type: Node (Host)
          state: Good
</diff>
</mx_test3>

<mx_test4>
<cmd>
$NETDB node receive_mail_for --remove mac-spacely.Spacely-Sprockets.COM astro-gw.Cogswell-Cogs.COM
</cmd>

<obj>
astro-gw.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</mx_test4>

<mx_test5>
<cmd>
$NETDB node receive_mail_for --remove mac-spacely.Spacely-Sprockets.COM pc-cogswell.Cogswell-Cogs.COM
</cmd>

<obj>
pc-cogswell.Cogswell-Cogs.COM
</obj>

<diff>
</diff>
</mx_test5>
