-- DNS.sql --- functions dealing with DNS names

create or replace package DNS as

    function check_label(label in varchar) return boolean;
    function check_name(name in varchar) return boolean;
    function labels(name in varchar) return int;
    function name(fullname in varchar) return varchar;
    function domain(fullname in varchar) return varchar;

end DNS;
/

grant execute on DNS to public;

