-- NetDB_InterfaceType.sql --- contains functions related to interface types

create or replace package NetDB_InterfaceType as

    procedure del ( p_op_uid in int,
                    p_type   in varchar );

    procedure ins ( p_op_uid in int,
                    p_type   in varchar,
                    p_desc   in varchar );

    procedure upd ( p_op_uid   in int,
                    p_type     in varchar,
                    p_desc_new in varchar );

    function verify_or_die (p_type in varchar) return varchar;

end NetDB_InterfaceType;
/

grant execute on NetDB_InterfaceType to netdb_execute;
