-- NetDB_Make.sql --- contains functions related to Make table

create or replace package NetDB_Make as

    function list return NetDB.ref_cursor;

    procedure del ( p_op_uid in int,
                    p_make   in varchar );

    procedure ins ( p_op_uid in int,
                    p_make   in varchar );

    procedure upd ( p_op_uid   in int,
                    p_make     in varchar,
                    p_make_new in varchar );

    function verify_or_die (p_make in varchar) return varchar;

end NetDB_Make;
/

grant execute on NetDB_Make to netdb_execute;
