-- NetDB_OS.sql --- contains functions related to OS table

create or replace package NetDB_OS as

    procedure supplant ( p_op_uid in int,
                         p_os_old in varchar,
                         p_os_new in varchar );

    function list (p_os in varchar := null) return NetDB.ref_cursor;

    procedure del ( p_op_uid in int,
                    p_os     in varchar );

    procedure ins ( p_op_uid      in int,
                    p_os          in varchar,
                    p_description in varchar := null );

    procedure upd ( p_op_uid      in int,
                    p_os          in varchar,
                    p_os_new      in varchar,
                    p_description in varchar := null );

    function verify_or_die (p_os in varchar) return varchar;

end NetDB_OS;
/

grant execute on NetDB_OS to netdb_execute;
