-- NetDB_RecordType.sql --- Packagespecification for NetDB_RecordType.

EXEC Util.drop_type_if_exists ('record_names');

create type record_names as object ( access_name  varchar(32),
                                     display_name varchar(32),
                                     plural_name  varchar(32) );
/

create or replace package NetDB_RecordType as

    function access  (rec_type in varchar) return varchar;
    function display (rec_type in varchar) return varchar;
    function plural  (rec_type in varchar) return varchar;

end NetDB_RecordType;
/

grant execute on NetDB_RecordType to netdb_execute;
