-- DHCPoption.sql --- DHCP options

create table DHCPoption
(
    id        int          PRIMARY KEY,  -- synthetic key
    datatype  varchar(16)  NOT NULL,
    label     varchar(64)  NOT NULL,     -- option name
    type      varchar(16)                -- DHCP option or parameter
);

create sequence dhcpoption_id_seq nocache;

create unique index DHCPoption_lower_label_idx on DHCPoption(lower(label));

grant select on DHCPoption to netdb_select;

