-- InterfaceType.sql --- node interface types (ethernet, token ring, fddi, etc.)

create table InterfaceType
(
    type        varchar(32) PRIMARY KEY,
    description varchar(64)
);

create unique index interfacetype_lower_type on InterfaceType (lower(type));

grant select on InterfaceType to netdb_select;

