-- LogIPaddress.sql --- IP addresses belonging to records in the log

create table LogIPaddress
(
    log_id         int          NOT NULL references Log on delete cascade,
    IPaddress      varchar(39)  NOT NULL,
    IPaddress_txt  varchar(39)  NOT NULL
);

create index logipaddress_id_idx  on LogIPaddress (log_id);
create index logipaddress_ip_idx  on LogIPaddress (IPaddress);
create index logipaddress_tx_idx  on LogIPaddress (IPaddress_txt);

grant select on LogIPaddress to netdb_select;

