-- NodeTag.sql --- user-supplied (key,value) node data

create table NodeTag
(
    node   int          NOT NULL references Node on delete cascade,
    label  varchar(32)  NOT NULL,
    value  varchar(256),
    PRIMARY KEY (node, label)
);

create index nodetag_node_idx  on NodeTag (node);
create index nodetag_label_idx on NodeTag (label);

grant select on NodeTag to netdb_select;

