-- Node_Service.sql --- services provided by specific nodes

create table Node_Service
(
    node    int         NOT NULL references Node on delete cascade,
    service varchar(32) NOT NULL references Service,
    PRIMARY KEY (node, service)
);

create index node_serv_node_idx       on Node_Service (node);
create index node_serv_service_idx    on Node_Service (service);
create index node_serv_lc_service_idx on Node_Service (lower(service));

grant select on Node_Service to netdb_select;

