-- Organization.sql --- organizations / departments
--                      (maybe someday org registry cache)

create table Organization
(
    id            int           PRIMARY KEY,  -- synthetic key
    org_regid     varchar(32),                -- org registry key (does not exist)
    organization  varchar(64)   NOT NULL      -- org name
);

create sequence organization_id_seq nocache;

create unique index organization_idx on organization(lower(organization));

grant select on Organization to netdb_select;

