-- State.sql --- node state (Good, Hacked, etc.)

create table State
(
    state        varchar(32)  PRIMARY KEY,
    rank         int                    NOT NULL,
    denyDHCP     numeric(1)   default 0 NOT NULL,  -- if set, deny DHCP and other HW address based services
    denyDNS      numeric(1)   default 0 NOT NULL,  -- if set, deny DNS and other IP address based services
    description  varchar(64),
    accessgroup  int                        NULL references AccessGroup
);

create unique index state_lower_state_idx on State (lower(state));

grant select on State to netdb_select;
