-- Users_Owner.sql --- user ownership security group membership

create table Users_Owner
(
    userid  int NOT NULL references Users on delete cascade,
    owner   int NOT NULL references Owner,
    PRIMARY KEY (userid, owner)
);

create index users_owner_user_idx on Users_Owner (userid);

grant select on Users_Owner to netdb_select;

