-- deleted_as.sql --- temporary table used by IPaddressSpace delete triggers
--                    to prevent active address spaces from being deleted

create global temporary table deleted_as
(
    network      int,
    prefix_txt   varchar(43),
    address      varchar(39),
    broadcast    varchar(39)
);

grant select on deleted_as to netdb_select;
grant insert on deleted_as to netdb_select;
grant update on deleted_as to netdb_select;
grant delete on deleted_as to netdb_select;

