-- Interface_b_iu_r.sql --- Interface table before insert or update trigger

create or replace trigger Interface_b_iu_r
  before insert or update on Interface
  for each row
when (new.hw_address is not null)
begin
    -- make sure the hardware address is lower case
    :NEW.hw_address := lower(:NEW.hw_address);
end;
/

