-- State_a_u_r.sql --- State table after update trigger

create or replace trigger State_a_u_r
  after update of state on State
  for each row when (NEW.state != OLD.state)
begin
    -- cascade update the new state to the Node table
    update Node set state=:NEW.state where state=:OLD.state;
end;
/

