-- FS_AddressSpace.sql --- view for network full search

create or replace view FS_AddressSpace as
    select network id,                    address,
           prefix_txt address_txt,        comments,
           replace(DHCPoption.label, '#', '#hsh') || '#eql' || replace(IPaddressSpace_DHCPoptions.value, '#', '#hsh') dhcp_option
      from IPaddressSpace
      left join IPaddressSpace_DHCPoptions
            on IPaddressSpace_DHCPoptions.IPaddressSpace = IPaddressSpace.id
      left join DHCPoption
            on DHCPoption.id = IPaddressSpace_DHCPoptions.DHCPoption;

grant select on FS_AddressSpace to netdb_view;
