-- FS_Related_Owner_Network.sql - view for related owners full search

create or replace view FS_Related_Owner_Network as
       select Name.network id, Name.fullname name, Owner.label owner, 'Networks' type
       from Owner
       join Network_Owner on Network_Owner.owner = Owner.id
       join Name on Name.network = Network_Owner.network
       union all
       select Name.network id, Name.fullname name, Owner.label owner, 'Networks' type
       from Owner
       join IPaddressSpace_Owner on IPaddressSpace_Owner.owner = Owner.id
       join IPaddressSpace on IPaddressSpace_Owner.IPaddressSpace = IPaddressSpace.id
       join Name on Name.network = IPaddressSpace.network;

grant select on FS_Related_Owner_Network to netdb_view;