/************************************************************************
 *
 * ATeamInfoCommand.java -
 *
 * $Id: ATeamInfoCommand.java,v 1.2 2008-03-15 02:55:54 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

class ATeamInfoCommand extends DBCall {

    private static final int ATEAM_ID_INDEX = 1; // p_ateam_id

    public ATeamInfoCommand(stanford.netdb.utils.Logger logger, Integer ID) {
        super(logger);

        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_ADMIN_TEAM, Function_Map.INFO);

        values = new Object[2];
        values[0]              = ref_cursor;
        values[ATEAM_ID_INDEX] = ID;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_ADMIN_TEAM, Function_Map.INFO));
    }

} // end of class ATeamInfo
