/************************************************************************
 *
 * AddressSpaceValidateCommand.java - db call NetDB_IPaddressSpace.validate_split
 *
 * $Id: AddressSpaceValidateCommand.java,v 1.2 2008-03-15 02:55:56 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db NetDB_IPaddressSpace.validate_split call  */
class AddressSpaceValidateCommand extends DBCall {

    private static final int AS_PREFIX_INDEX = 0; // p_prefix

    public AddressSpaceValidateCommand(stanford.netdb.utils.Logger logger, String asPrefix) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_IPADDRESSSPACE, Function_Map.VALIDATE_SPLIT);
        
        values                  = new Object[1];
        values[AS_PREFIX_INDEX] = asPrefix;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_IPADDRESSSPACE, Function_Map.VALIDATE_SPLIT));
    }
}
