/************************************************************************
 *
 * DHCPServiceListCommand.java - db call pDHCPservice 'list'
 *
 * $Id: DHCPServiceListCommand.java,v 1.2 2008-03-15 02:55:57 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** db call pDHCPservice 'list' */
class DHCPServiceListCommand extends DBCall {

    public DHCPServiceListCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_DHCPSERVICE, Function_Map.LIST);

        values = new Object[1];
        values[0] = ref_cursor;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_DHCPSERVICE, Function_Map.LIST));
    }
}
