package stanford.netdb.lib;

public class Function_Map_Controller
{
    public static String get_function_name (int record_type, int action) {
        return fun_map.get_function_name (record_type, action); }

    public static int get_function_type (int record_type, int action) {
        return fun_map.get_function_type (record_type, action); }

    static Function_Map fun_map = null;

    static
    {
        String backend = (String)System.getProperty("db.vendor");

             if (backend.equalsIgnoreCase ("oracle")) { fun_map = new Oracle_Function_Map (); }
//      else if (backend.equalsIgnoreCase ("mysql"))  { fun_map = new MySQL_Function_Map ();  }
        else
        {
            System.out.println ("Unknown database: " + backend);
            System.exit (1);
        }
    }
}
