/************************************************************************
 *
 * ListUserNetworks.java - db call NetDB_Network.master 'list'
 *
 * $Id: ListUserNetworks.java,v 1.2 2008-03-15 02:56:05 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** db call NetDB_Network.master 'list' */
class ListUserNetworks extends DBCall {

    private static final int ID_OP_USER_INDEX = 1;

    public ListUserNetworks(stanford.netdb.utils.Logger logger, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NETWORK, Function_Map.LIST);

        values = new Object[2];
        values[0]                = ref_cursor;
        values[ID_OP_USER_INDEX] = op_uid;
    }
    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NETWORK, Function_Map.LIST));
    }
}
