/************************************************************************
 *
 * UserInfoCommand.java - db call pUser('info')
 *
 * $Id: UserInfoCommand.java,v 1.2 2008-03-15 02:56:19 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call pUser 'info' */
class UserInfoCommand extends DBCall {

    private static final int ID_INDEX = 1;  // p_person_id

    public UserInfoCommand(stanford.netdb.utils.Logger logger, Integer idUser){
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_USER, Function_Map.INFO);

        values = new Object[2];
        values[0]        = ref_cursor;
        values[ID_INDEX] = idUser;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_USER, Function_Map.INFO));
    }
}
