/************************************************************************
 *
 * IPString.java -
 *
 * $Id: IPString.java,v 1.1.1.1 2006-06-30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2005, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.utils;

import java.lang.*;

public class IPString extends Object {

    public String ip;

    public IPString(String ip) {
        super();
        this.ip = ip;
    }

    public IPString(IPString ip) {
        super();
        this.ip = ip.ip;
    }

    public String toString() {
        return ip;
    }

    public boolean equals(Object obj) {
        if( obj != null &&
            (obj instanceof IPString) &&
            ((IPString)obj).ip.equals(this.ip) )
            return true;
        else
            return false;
    }
}
