/************************************************************************
 *
 * InfoPage.java -
 *
 * $Id: InfoPage.java,v 1.4 2007-10-26 21:10:17 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.html;

import java.io.*;
import java.net.*;
import java.util.*;
import java.text.*;
import javax.servlet.*;
import javax.servlet.http.*;
import stanford.netdb.lib.*;
import stanford.netdb.utils.*;

public abstract class InfoPage extends CommonPage {

    protected String commonLinksPanel(String oType, boolean hasAccess, String handle, Hashtable store) throws Exception {
        return commonLinksPanel(oType, hasAccess, handle, store, false);
    }

    protected String commonLinksPanel(String oType, boolean hasAccess, String handle, Hashtable store, boolean move_addr_space_link) throws Exception {
        return "<TABLE WIDTH='100%' CELLSPACING='1' CELLPADDING='0' BORDER='0'>\n"+
            "<TR CLASS=\"common_links_panel\">\n"+
            "  <TD ALIGN='CENTER'>"+
            (hasAccess?"  <A ID='Link_Modify' HREF='/Dispatch?Action=modify&object="+oType+"&fromPage="+store.get("newFromPage")+
             "&fromFromPage="+URLEncoder.encode(URLEncoder.encode((String)Utils.n2s(store.get("fromPage")), "UTF-8"), "UTF-8")+
             "&handle="+URLEncoder.encode(handle, "UTF-8")+"'><b>Modify</b></a>&nbsp;&nbsp;&nbsp;"+
             (move_addr_space_link?"<A ID='Link_Move_Address_Spaces' HREF='/MoveAS?&fromPage="+store.get("newFromPage")+
              "&handle="+URLEncoder.encode(handle, "UTF-8")+"'><b>Move an Address space</b></A>&nbsp;&nbsp;&nbsp;":"")+
             (store.get("show move interfaces")!=null?"<A ID='Link_Move_Interfaces' HREF='/MoveInterfaces?fromPage="+store.get("newFromPage")+
              "&handle="+URLEncoder.encode(handle, "UTF-8")+"'><b>Move Interfaces</b></A>&nbsp;&nbsp;&nbsp;":""):"")+
            (hasAccess?"  <A ID='Link_Template' HREF='/Dispatch?Action=use&object="+oType+
             "&fromPage="+store.get("newFromPage")+
             "&fromFromPage="+URLEncoder.encode(URLEncoder.encode((String)Utils.n2s(store.get("fromPage")), "UTF-8"), "UTF-8")+
             "&handle="+URLEncoder.encode(handle, "UTF-8")+"'><b>Use&nbsp;as&nbsp;a&nbsp;template</b></a>&nbsp;&nbsp;&nbsp;":"")+
            (hasAccess?"  <A ID='Link_Delete' HREF='/Dispatch?Action=delete&object="+oType+"&fromPage="+store.get("newFromPage")+"&handle="+URLEncoder.encode(handle, "UTF-8")+"'><b>Delete</b></a>&nbsp;&nbsp;&nbsp;":"")+
            "  <A HREF='#quicksearch'><b>New&nbsp;search</b></a>&nbsp;&nbsp;&nbsp;"+
            "  <A ID='Link_Back' HREF='"+(String)Utils.n2s(store.get("fromPage"))+"'><b>Back</b></a>"+
            (oType.equals("Group")?("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A ID='Link_Owned' HREF='/Dispatch?Action=redirect&object=owned&by="+
                                    URLEncoder.encode("\""+handle+"\"", "UTF-8")+"&fromPage="+store.get("newFromPage")+"'><b>Related Records</b></A>"):"")+
            "</TD></TR>\n"+
            "</TABLE>\n";
    }

}
