/************************************************************************
 *
 * NetDBCSS.java -
 *
 * $Id: NetDBCSS.java,v 1.1.1.1 2006-06-30 23:38:11 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.html;

import java.io.*;
import java.net.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import stanford.netdb.utils.*;

public class NetDBCSS extends HttpServlet
{
    public NetDBCSS() {}

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        response.setContentType("text/css");

        BufferedReader file = new BufferedReader(new FileReader(System.getProperty(Constants.NETDB_CSS_FILE)));

        ServletOutputStream os = response.getOutputStream();
        String line = null;
        while( (line = file.readLine()) != null )
            os.println(line);
    }
}
